Subject: Re: Revamping the git protocol

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 20 Oct 2005 09:52:39 -0700

Linus Torvalds wrote:
> 
> Similarly, git-upload-pack can be future-proofed by having it have some 
> data transfer timeout: if it doesn't make any progress at all in <n> 
> seconds, just kill itself. Things like _that_ are likely to be a lot more 
> important, I suspect.
> 

Right, I already submitted a patch for that.

> And no, I don't think th egit protocol should do authentication. It's 
> hard. If you want to do authentication, you need to do encryption too, and 
> then you should do something else (but the git protocol _does_ work fine 
> over an encyrpted channel, so the "something else" might be to have some 
> secure web interface tunnel protocol or similar, and then just support 
> "git over https" or something ;).

git over ssh seems to be the obvious choice.

	-hpa